<header class="header" [class.dark-theme]="!isDarkTheme">
    <div class="header-logo">
        <app-logo (click)="navigate()"></app-logo>
    </div>
    <div class="header-content">
        <app-sign-button></app-sign-button>
        <app-navigation></app-navigation>
    </div>
</header>
